#! /usr/bin/rpm
%define  sovers         0
%define _unpackaged_files_terminate_build  0
%define rel_post                       
%define need_fed 1
%define need_rorc 1
%define need_mysql 1
%define need_oracle 1
%define coco_db mysql://config@localhost/RCU	

# Options for build various variants of this package.  
# One should pass the option '-D "macro value"' to rpmbuild.
# For example to build for DCS, do 
#
#   rpmbuild -D "variant dcs" rcuconf-0.2.tar.gz
#
# To build for DAQ, do 
#
#   rpmbuild -D "variant daq" rcuconf-0.2.tar.gz 
#
%if %{?variant:1} %{!?variant:0}
%define rel_post  _%{variant}
%if %{variant} == "daq" 
%define need_fed 0
%define need_oracle 0
# We should perhaps specify hosts etc here. 
%else
%if %{variant} == "dcs"
%define need_rorc 0
%define need_mysql 0
# We should perhaps specify hosts etc here. 
%define coco_db oracle://config@localhost/RCU	
%else
%{error: Unknown variant %{variant}}
%quit
%endif
%endif
%endif

# --------------------------------------------------------------------
Summary: 	C++ library to configure RCU et al
Name: 		rcuconf0
Version: 	0.2
Release: 	3%{?rel_post}
License: 	GPL
Group: 		Development/Libraries
URL: 		http://fmd.nbi.dk/fmd/fee/
Source0: 	rcuconf-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/rcuconf-%{version}-%{release}-buildroot
# BuildRequires:	rcuxx-devel
%if %{need_fed}
BuildRequires: 	rcuxx-devel(FED)
Requires: 	rcuxx(FED)
%endif
%if %{need_rorc}
BuildRequires: 	rcuxx-devel(RORC)
Requires: 	rcuxx(RORC)
%endif
%if %{need_mysql}
BuildRequires: 	rcudb-devel(MySql)
Requires: 	rcudb(MySql)
%endif
%if %{need_oracle}
BuildRequires: 	rcudb-devel(Oracle)
Requires: 	rcudb(Oracle)
%endif

%description
C++ class library to configure RCU, BC, and ALTROs

%files
%defattr(-,root,root)
%{_prefix}/lib/lib*.so.*


# --------------------------------------------------------------------
%package -n rcuconf-utils
Summary:	C++ library to configure RCU et al
Group:		Development/System
Requires:	%{name}  >= %{version}-%{release}
%description -n rcuconf-utils
C++ class library to configure RCU, BC, and ALTROs

%files -n rcuconf-utils
%defattr(-,root,root)
%{_prefix}/bin/rcuconf
%{_prefix}/lib/rcuconf
%{_prefix}/share/man/man1/rcuconf.1*
%{_prefix}/lib/rcuconf/*

# --------------------------------------------------------------------
%package -n rcuconf-devel
Summary:	C++ library to configure RCU et al
Group:		Development/System
Requires:	%{name} = %{version}-%{release}
%if %{need_mysql}
Requires: rcudb-devel(MySql)
%endif
%if %{need_oracle}
Requires: rcudb-devel(Oracle)
%endif
%description -n rcuconf-devel
C++ class library to configure RCU, BC, and ALTROs

%files -n rcuconf-devel
%defattr(-,root,root)
%{_prefix}/include/rcuconf
%{_prefix}/lib/lib*.a
%{_prefix}/lib/lib*.la
%{_prefix}/lib/lib*.so
%{_prefix}/lib/pkgconfig/*
%{_prefix}/share/man/man1/rcuconf-config.1*
%{_prefix}/bin/rcuconf-config
%{_prefix}/share/aclocal/*
%doc %{_prefix}/share/doc/rcuconf


# --------------------------------------------------------------------
%prep 
%setup -q -n rcuconf-%{version}

%build
%configure	\
    --with-db-url=%{coco_db}

make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install 
(cd $RPM_BUILD_ROOT/usr/share/doc/rcuconf/html && \
  perl ./installdox -q -l rcuxx.tags@../../rcuxx/html \
	-l rcudb.tags@../../rcudb/html)

%clean
make clean
rm -rf $RPM_BUILD_ROOT

# --------------------------------------------------------------------
%changelog
* Fri Apr 27 2007 Christian Holm Christensen <cholm@nbi.dk>
- Also install documentation

* Sat Apr 07 2007 Christian Holm Christensen <cholm@nbi.dk>
- New release to mark installation

* Thu Mar 29 2007 Christian Holm Christensen <cholm@nbi.dk>
- Split off DB access classses into a separate project

* Wed Feb 21 2007 Christian Holm Christensen <cholm@nbi.dk>
- Initial release
